SOURCES.c= run_UM_VEL.c UM_VEL.c
$(CC)=gcc
# CFLAGS=-Wall -g -I/usr/include/libxml2
# LDFLAGS=-lnetcdf -lconfig -lm -lxml2

LIBXML2_VER := libxml2@2.9.4
LIBCONFIG_VER := libconfig@1.5

LIBXML2_PATH := $(shell spack find -p $(LIBXML2_VER) | awk 'NR>1 {print $$NF}')
LIBCONFIG_PATH := $(shell spack find -p $(LIBCONFIG_VER) | awk 'NR>1 {print $$NF}')
NETCDF_PATH=/qfs/people/tang584/install/netcdf-c
HDF5_PATH=/qfs/people/tang584/install/hdf5

CFLAGS=-Wall -g -I$(HDF5_PATH)/include -I$(NETCDF_PATH)/include -I$(LIBXML2_PATH)/include/libxml2 -I$(LIBCONFIG_PATH)/include
LDLIBS=-L$(LIBCONFIG_PATH)/lib -L$(NETCDF_PATH)/lib64 -L$(HDF5_PATH)/lib -L$(LIBXML2_PATH)/lib
LDFLAGS=-Wl,-rpath,$(LIBCONFIG_PATH)/lib $(LDLIBS) -lnetcdf -lcurl -lhdf5 -lhdf5_hl -lconfig -lm -lxml2


PROGRAM=UM_VEL
OBJECTS= $(SOURCES.c:.c=.o)

$(PROGRAM): $(INCLUDES) $(OBJECTS)
		$(LINK.c) -o $@ $(OBJECTS) $(LDFLAGS)

clean:
		rm -f $(PROGRAM) $(OBJECTS)


install: all
	@echo "nothing to install"
